"use strict";
var __importDefault = (this && this.__importDefault) || function (mod) {
    return (mod && mod.__esModule) ? mod : { "default": mod };
};
Object.defineProperty(exports, "__esModule", { value: true });
/* eslint-disable no-magic-numbers */
const os_1 = require("os");
const global_1 = __importDefault(require("./global"));
exports.setupGlobal = () => {
    global_1.default.mockStdout = {
        write: jest.fn(),
    };
    process.stdout.write = global_1.default.mockStdout.write;
    console.log = jest.fn(value => process.stdout.write(JSON.stringify(value, null, '\t') + os_1.EOL));
    console.error = jest.fn(value => process.stdout.write(JSON.stringify(value, null, '\t') + os_1.EOL));
    console.debug = jest.fn(value => process.stdout.write(JSON.stringify(value, null, '\t') + os_1.EOL));
    global_1.default.mockChildProcess = {
        stdout: 'stdout',
        stderr: '',
        error: null,
        // eslint-disable-next-line @typescript-eslint/no-explicit-any
        exec: jest.fn((...args) => {
            const callback = args.length === 2 ? args[1] : args[2];
            callback(global_1.default.mockChildProcess.error, global_1.default.mockChildProcess.stdout, global_1.default.mockChildProcess.stderr);
        }),
    };
    jest.mock('child_process', () => (Object.assign(Object.assign({}, jest.requireActual('child_process')), { exec: global_1.default.mockChildProcess.exec })));
    process.env.GITHUB_ACTOR = 'octocat';
};
//# sourceMappingURL=global.setup.js.map